@charset "UTF-8";
/* Open Sans */
@font-face {
  font-family: "Open Sans";
  src: url("../fonts/OpenSans/OpenSans-Regular.woff") format("woff");
  font-style: normal;
  font-weight: 400;
}
@font-face {
  font-family: "Open Sans";
  src: url("../fonts/OpenSans/OpenSans-Semibold.woff") format("woff");
  font-style: normal;
  font-weight: 600;
}
@font-face {
  font-family: "Open Sans";
  src: url("../fonts/OpenSans/OpenSans-Bold.woff") format("woff");
  font-style: normal;
  font-weight: 700;
}
@font-face {
  font-family: "Open Sans";
  src: url("../fonts/OpenSans/OpenSans-Italic.woff") format("woff");
  font-style: italic;
  font-weight: 400;
}
@font-face {
  font-family: "Open Sans";
  src: url("../fonts/OpenSans/OpenSans-SemiboldItalic.woff") format("woff");
  font-style: italic;
  font-weight: 600;
}
/* FontAwesome 5 Pro */
.fa, .fab, .fad, .fal, .far, .fas {
  line-height: unset;
}
.fa::before, .fab::before, .fad::before, .fal::before, .far::before, .fas::before {
  vertical-align: middle;
}

.bg-light-gray {
  background-color: #f2f2f6 !important;
}

.bg-light-blue {
  background-color: #d6f0fa !important;
}

.bg-light-green {
  background-color: #def2de !important;
}

.bg-purple {
  background-color: #9b59b6;
}

.bg-orange {
  background-color: #e67e22;
}

.bg-turquese {
  background-color: #16a085;
}

.bg-yellow {
  background-color: #FFC200 !important;
}

.bg-blue {
  background-color: #0094D9 !important;
}

.bg-pink {
  background-color: #DB007D !important;
}

.fs-sm, .fs-7 {
  font-size: 0.813rem !important;
}

/* BS v5 */
.opacity-100 {
  opacity: 1 !important;
}

.cursor-pointer {
  cursor: pointer !important;
}

.text-transform-none {
  text-transform: none !important;
}

.overflow-y-auto {
  overflow-y: auto !important;
}

.max-height-\[451px\] {
  max-height: 451px;
}

.btn-primary {
  background-color: #DB007D !important;
  border-color: #DB007D !important;
  box-shadow: none !important;
}

.form-control-plaintext {
  min-width: 60px;
}
.form-control-plaintext.form-control {
  background-color: #f2f2f6;
  border-radius: 0.25rem;
  padding-left: 0.735rem;
  padding-right: 0.735rem;
  border-left-width: 1px;
  border-right-width: 1px;
}
.form-control-plaintext:empty::before {
  content: "-";
}

.d-flex > .form-control-plaintext {
  width: auto;
}

.form-control,
.form-select {
  border-color: #9eadbf;
  color: #303840;
}

.form-select-sm {
  background-position: right 0.3675rem center;
  min-height: calc(1.3125rem + 2px);
}

.form-label-sm {
  font-size: 0.75rem;
}

.form-label, .col-form-label {
  font-weight: 600;
}

.form-label-action {
  cursor: pointer;
}
.form-label-action span {
  border-bottom: 1px dotted currentColor;
}

.col-form-label.dropdown-toggle {
  cursor: pointer;
}
.col-form-label.dropdown-toggle span {
  border-bottom: 1px dotted currentColor;
}

.form-control-cell {
  background: transparent !important;
  border: 0;
  border-radius: 0;
  box-shadow: none !important;
  padding: 0;
}

.form-control:disabled, .form-control[readonly] {
  background-color: #e9ecee;
}
.form-control:disabled + .input-group-text, .form-control[readonly] + .input-group-text {
  background-color: #e9ecee;
}

.input-group > :not(:first-child):not(.dropdown-menu):not(.valid-tooltip):not(.valid-feedback):not(.invalid-tooltip):not(.invalid-feedback) .select2-selection {
  margin-left: -1px;
  border-top-left-radius: 0;
  border-bottom-left-radius: 0;
}
.input-group > :not(:last-child):not(.dropdown-toggle):not(.dropdown-menu) .select2-selection {
  border-top-right-radius: 0;
  border-bottom-right-radius: 0;
}

.input-group-sm > .select2-container {
  -ms-flex: 1 1 auto;
      flex: 1 1 auto;
  width: 1% !important;
}
.input-group-sm > .select2-container .select2-selection--single {
  height: 100%;
}
.input-group-sm > .select2-container .select2-selection--single .select2-selection__rendered {
  line-height: 1.4;
  padding-top: 0.187rem;
  padding-bottom: 0.187rem;
  padding-right: 0.3675rem;
  font-size: 0.813rem;
}
.input-group-sm > .select2-container .select2-selection--single .select2-selection__arrow {
  height: 100%;
  width: 1.6865rem;
}

.form-select-sm + .select2 .select2-selection {
  height: 100%;
}
.form-select-sm + .select2 .select2-selection.select2-selection--multiple {
  min-height: 1.3125rem;
}
.form-select-sm + .select2 .select2-selection.select2-selection--multiple .select2-selection__rendered {
  padding-top: 0;
  padding-left: 0.6rem;
  padding-right: 0.6rem;
  padding-bottom: 3px;
}
.form-select-sm + .select2 .select2-selection.select2-selection--multiple .select2-selection__clear {
  display: none;
}
.form-select-sm + .select2 .select2-selection.select2-selection--multiple .select2-search--inline {
  line-height: unset;
}
.form-select-sm + .select2 .select2-selection.select2-selection--multiple .select2-selection__choice {
  font-size: 12px;
  margin-top: 3px;
  line-height: 1.5;
}
.form-select-sm + .select2 .select2-selection .select2-selection__rendered {
  line-height: 1.4;
  padding-top: 0.25rem;
  padding-bottom: 0.25rem;
  padding-right: 1.735rem;
  min-height: 1.3125rem;
  font-size: 0.813rem;
}
.form-select-sm + .select2 .select2-selection .select2-selection__arrow {
  height: 100%;
  width: 1.6865rem;
  top: 0;
}
.form-select-sm + .select2 .select2-selection .select2-selection__arrow b {
  -webkit-transform: translateY(-50%);
          transform: translateY(-50%);
  top: 50%;
}
.form-select-sm + .select2 .select2-selection .select2-selection__clear {
  line-height: 1;
}

.select2-container:not(.select2) {
  display: block;
  width: auto !important;
}

body > .select2-container .select2-dropdown {
  z-index: 1091;
}

.switch.me-0 .switch-toggle-slider {
  margin-right: -0.75rem;
}

.switch-input.is-valid:not(:checked) ~ .switch-toggle-slider {
  background-color: #ff5b5c;
  border-color: #ff5b5c !important;
}

.input-daterange input {
  text-align: left;
}

.daterangepicker {
  font-family: var(--bs-font-sans-serif);
}

.daterangepicker select.monthselect,
.daterangepicker select.yearselect {
  display: inline-block;
  padding: 0.469rem 1.735rem 0.469rem 0.735rem;
  -moz-padding-start: calc(0.735rem - 3px);
  font-size: 0.9375rem;
  font-weight: 400;
  line-height: 1.4;
  color: #303840;
  background-color: #fff;
  background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16'%3e%3cpath fill='none' stroke='rgba%280, 0, 0, 0.4%29' stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='M2 5l6 6 6-6'/%3e%3c/svg%3e");
  background-repeat: no-repeat;
  background-position: right 0.735rem center;
  background-size: 17px 12px;
  border: 1px solid #9eadbf;
  border-radius: 0.25rem;
  transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
}
@media (prefers-reduced-motion: reduce) {
  .daterangepicker select.monthselect,
  .daterangepicker select.yearselect {
    transition: none;
  }
}
.daterangepicker select.monthselect,
.daterangepicker select.yearselect {
  -webkit-appearance: none;
     -moz-appearance: none;
          appearance: none;
  padding-top: 0.187rem;
  padding-bottom: 0.187rem;
  padding-left: 0.3675rem;
  font-size: 0.813rem;
  border-radius: 0.1875rem;
  background-position: right 0.3675rem center;
}
.daterangepicker select.monthselect:focus,
.daterangepicker select.yearselect:focus {
  border-color: #DB007D;
  outline: 0;
  box-shadow: 0 0.0625rem 0.1875rem 0 rgba(0, 0, 0, 0.18);
}

.daterangepicker select.monthselect {
  width: 55%;
}

.daterangepicker select.yearselect {
  width: 41%;
}

.daterangepicker .calendar-table th.prev,
.daterangepicker .calendar-table th.next,
.daterangepicker .calendar-table th.prev:hover,
.daterangepicker .calendar-table th.next:hover {
  border: 0;
}

.daterangepicker .drp-buttons .btn {
  font-weight: normal;
}

.daterangepicker .cancelBtn {
  background-color: #f2f2f6;
}

.quill-editor {
  overflow-y: auto;
}

.quill-editor-sm .ql-editor {
  font-size: 0.813rem;
  padding: 1em;
}

#js-cuerpo-presupuesto-editor {
  height: 269px;
}
#js-cuerpo-presupuesto-editor .ql-editor {
  height: 268px;
}

#js-notas-presupuesto-editor {
  height: 410px;
}
#js-notas-presupuesto-editor .ql-editor {
  height: 409px;
}

.quill-table-sm {
  height: 129px;
}
.quill-table-sm .ql-editor {
  height: 128px;
  min-height: 0;
  padding: 0.65rem !important;
}
.quill-table-sm .ql-editor p {
  margin: 0;
}

.js-albaran-presupuesto {
  max-height: 186px;
  overflow-y: auto;
}
.js-albaran-presupuesto .quill-editor {
  height: 74px;
}
.js-albaran-presupuesto .quill-editor .ql-editor {
  height: 73px;
}

.select2-container--default .select2-results__group {
  font-weight: bold;
}

#presupuestoForm label[for=cliente_id] {
  color: #DB007D;
  border-bottom: 1px dotted currentColor;
}

.card > .blockUI.blockOverlay {
  border-radius: 0.3125rem;
}
.card .blockUI.blockOverlay,
.card .blockUI.blockMsg {
  z-index: 10 !important;
}
.card .blockUI.blockMsg {
  height: 100%;
  width: 100% !important;
  left: 0 !important;
  top: 0 !important;
}
.card .blockUI.blockMsg .d-flex {
  height: 100%;
}
.card.disabled {
  position: relative;
}
.card.disabled::after {
  content: "";
  display: block;
  position: absolute;
  left: 0;
  top: 0;
  z-index: 2;
  height: 100%;
  width: 100%;
  background-color: #E9ECEE;
  opacity: 0.75;
  border-radius: 0.3125rem;
}

.layout-navbar {
  box-shadow: 0 1px 0 #dee1e4 !important;
}

.layout-planning .layout-navbar {
  left: 0 !important;
}

.bg-navbar-theme {
  background-color: #fff !important;
}

.bg-navbar-theme .search-input-wrapper .search-input {
  background-color: #fff !important;
}

.topbar-handle {
  position: absolute;
  left: 50%;
  top: 100%;
  background: #fff;
  width: 54px;
  height: 17px;
  z-index: 1;
  padding: 0;
  border: 1px solid #dee1e4;
  border-top: 0;
  cursor: pointer;
  border-radius: 0 0 6px 6px;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-pack: center;
      justify-content: center;
  -ms-flex-align: center;
      align-items: center;
  -webkit-transform: translateX(-50%);
          transform: translateX(-50%);
}
.topbar-handle:hover::before {
  background-color: #cccdcf;
}
.topbar-handle::before {
  background-color: #dee1e4;
  border-radius: 2px;
  display: block;
  content: "";
  height: 4px;
  width: 32px;
  transition: background-color 0.15s;
}

.layout-navbar.navbar {
  -webkit-transform: translateY(-100%);
          transform: translateY(-100%);
  transition: -webkit-transform 0.25s;
  transition: transform 0.25s;
  transition: transform 0.25s, -webkit-transform 0.25s;
  top: -1px !important;
}

.layout-navbar.navbar.shown {
  -webkit-transform: translateY(0);
          transform: translateY(0);
}

body {
  background-color: #1C2534;
}
body.bg-pressing {
  background-image: url(/assets/img/backgrounds/bg.jpg);
  background-repeat: no-repeat;
  background-position: center center;
  background-size: cover;
}
body.bg-pressing .content-wrapper {
  background: none;
}

.bg-footer-theme {
  background-color: #fff !important;
}

.content-wrapper {
  background-image: url(/assets/img/backgrounds/bg.jpg);
  background-repeat: no-repeat;
  background-position: center center;
  background-size: cover;
}

.content-wrapper-planning {
  background-image: none;
}

.container-custom {
  margin: 0 auto;
  max-width: 1400px;
  padding: 0 20px;
  width: 100%;
}

/* Aside */
.aside {
  background-color: #fff;
  box-shadow: 0 0 20px 0 rgba(0, 0, 0, 0.2);
  position: fixed;
  top: 0;
  left: 0;
  height: 100%;
  z-index: 99999999;
  width: 360px;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-direction: column;
      flex-direction: column;
  transition: all 0.2s ease-in;
  -webkit-transform: translateX(-380px);
          transform: translateX(-380px);
}
.aside.open {
  transition-delay: 0.1s;
  -webkit-transform: none;
          transform: none;
}

.aside-inner {
  position: relative;
  overflow: auto;
  -ms-flex: 0 1 auto;
      flex: 0 1 auto;
  opacity: 1;
}

/* aside-menu */
.aside-menu {
  background-color: #0094D9;
  box-shadow: 0 0 20px 0 rgba(0, 0, 0, 0.2);
  color: #fff;
  position: fixed;
  top: 3.875rem;
  right: 0;
  height: 100%;
  z-index: 1074;
  -ms-flex: 1 0 auto;
      flex: 1 0 auto;
  width: 360px;
  width: 16.25rem;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-direction: column;
      flex-direction: column;
  transition: all 0.2s ease-in !important;
  -webkit-transform: translateX(380px);
          transform: translateX(380px);
  -webkit-transform: translateX(17.5rem) !important;
          transform: translateX(17.5rem) !important;
  height: unset;
  bottom: 0;
}
.aside-menu.open {
  transition-delay: 0.1s;
  -webkit-transform: none !important;
          transform: none !important;
}
.aside-menu .menu-link {
  color: #fff;
  border-radius: 0.3125rem;
}
.aside-menu .menu-inner .menu-item {
  border-radius: 0.3125rem;
}
.aside-menu .menu-header {
  color: #fff;
}
.aside-menu .menu-inner .menu-item.open > .menu-link:hover,
.aside-menu .menu-inner .menu-item:not(.active) .menu-link:hover {
  background-color: rgba(0, 0, 0, 0.06);
}
.aside-menu .menu-inner > .menu-item.open:not(.active) {
  background-color: rgba(0, 0, 0, 0.05) !important;
}
.aside-menu .menu-inner .menu-sub > .menu-item.active > .menu-link.menu-toggle,
.aside-menu .menu-inner .menu-sub > .menu-item.open > .menu-link.menu-toggle {
  background-color: rgba(0, 0, 0, 0.06);
}
.aside-menu .menu-inner .menu-sub > .menu-item.active > .menu-link.menu-toggle .menu-icon,
.aside-menu .menu-inner .menu-sub > .menu-item.open > .menu-link.menu-toggle .menu-icon {
  color: #000;
}
.aside-menu .menu-sub > .menu-item > .menu-link:before {
  content: "";
  position: absolute;
  left: 1.4375rem;
  width: 0.375rem;
  height: 0.375rem;
  border-radius: 50%;
  background-color: #fff !important;
}

.menu-inner.ps--active-y > .ps__rail-y {
  display: none;
}
.menu-inner.ps--active-y > .ps__rail-y:last-child {
  display: block;
}

.layout-planning {
  padding-left: 0px;
}

/* Footer */
.layout-footer-fixed .content-wrapper {
  padding-bottom: 0 !important;
}
.layout-footer-fixed .content-footer {
  position: static;
}

/*
Bootstrap
*/
.table-dark {
  --bs-table-bg: #1C2633;
  border-color: #D4D8DD;
}

.bootstrap-table .fixed-table-container .table {
  --bs-table-striped-color: $body-color;
  --bs-table-active-color: $body-color;
  --bs-table-hover-color: $body-color;
  color: #000;
}
.bootstrap-table .fixed-table-container .table.table-sm .th-inner, .bootstrap-table .fixed-table-container .table.table-xs .th-inner {
  padding: 0.5rem 0.625rem;
}
.bootstrap-table .fixed-table-container .table thead [data-field=actions] {
  white-space: nowrap;
  width: 1px;
}
.bootstrap-table .fixed-table-container .table thead th {
  vertical-align: middle;
}
.bootstrap-table .fixed-table-container .table thead th .th-inner {
  padding-left: 1.5rem;
  padding-right: 1.5rem;
  position: relative;
  white-space: nowrap;
}
.bootstrap-table .fixed-table-container .table thead th .th-inner.both {
  background-image: none;
}
.bootstrap-table .fixed-table-container .table thead th .th-inner.both::before, .bootstrap-table .fixed-table-container .table thead th .th-inner.both::after {
  font-family: boxicons;
  font-weight: 500;
  font-size: 1em;
  width: 10px;
  height: 10px;
  content: "";
  right: 0.65em;
  position: absolute;
  line-height: 1;
  vertical-align: middle;
}
.bootstrap-table .fixed-table-container .table thead th .th-inner.both::before {
  top: 50%;
  margin-top: -0.75em;
  content: "\ed42";
}
.bootstrap-table .fixed-table-container .table thead th .th-inner.both::after {
  bottom: 50%;
  margin-bottom: -0.75em;
  content: "\ed35";
}
.bootstrap-table .fixed-table-container .table thead th .th-inner.both.asc::after {
  opacity: 0.25;
}
.bootstrap-table .fixed-table-container .table thead th .th-inner.both.desc::before {
  opacity: 0.25;
}

.table td[contenteditable]:focus {
  outline: 1px solid #DB007D;
}
.table .actions {
  white-space: nowrap;
  width: 1px;
}

.table-sm, .table-xs {
  font-size: 0.813rem;
}

.table-wrap {
  height: 368px;
  overflow: auto;
}

.table-xs th {
  padding-top: 5px !important;
  padding-bottom: 5px !important;
}

.table-xs td {
  padding-top: 2px !important;
  padding-bottom: 2px !important;
}

.table-cursor {
  cursor: pointer;
}

#modal-productos .bootstrap-table .fixed-table-container .fixed-table-body {
  height: auto;
}

.custom-datatable-table tbody tr {
  cursor: pointer;
}

.dropdown-menu[data-positioned=true] {
  position: fixed !important;
}
.dropdown-menu > li.has-children {
  position: relative;
}
.dropdown-menu > li.has-children > .dropdown-item {
  display: -ms-flexbox;
  display: flex;
  -ms-flex-align: center;
      align-items: center;
}
.dropdown-menu > li.has-children > .dropdown-item::after {
  content: "";
  width: 0;
  height: 0;
  border-style: solid;
  border-width: 0.325em 0 0.325em 0.45em;
  border-color: transparent transparent transparent currentColor;
  margin-left: 10px;
}
.dropdown-menu > li.has-children > .dropdown-item a:hover + .dropdown-submenu {
  display: block;
}
.dropdown-menu > li:hover > .dropdown-submenu {
  display: block;
}

.dropdown-submenu {
  display: none;
  position: absolute;
  left: 100%;
  top: 0;
}
.dropdown-submenu.dropdown-up {
  top: auto;
  bottom: 0;
}

.popover-dropdown {
  margin: -0.5rem;
  min-width: 150px;
}
.popover-dropdown .dropdown-item {
  cursor: pointer;
}
.popover-dropdown .dropdown-item:hover,
.popover-dropdown .dropdown-item:focus {
  background: none;
}

.acabados-dropdown {
  max-height: 300px;
  overflow: auto;
}

/* Parte tamaño select */
#js-personalizado-size {
  inset: initial !important;
  left: 100% !important;
  top: 50% !important;
  -webkit-transform: translateY(-50%) !important;
          transform: translateY(-50%) !important;
  margin-left: 15px !important;
  font-size: 12px;
}

#js-personalizado-size,
#js-personalizado-size .dropdown-menu {
  font-size: 12px;
}

#js-personalizado-size .dropdown-item {
  padding-top: 0.5em !important;
  padding-bottom: 0.5em !important;
}

.badge[data-bs-toggle] {
  cursor: pointer;
}

.d-modal-block {
  display: none;
}

.modal .d-modal-block {
  display: block;
}

.modal-xxl {
  max-width: 90% !important;
  width: 100% !important;
}

.timeline::before {
  left: 0.75rem;
}
.timeline .timeline-end-indicator {
  left: 0;
}
.timeline .timeline-item .timeline-indicator {
  background-color: #fff !important;
  left: 0;
}
.timeline .timeline-item .timeline-event::before {
  left: 30px;
}

/* Override theme menu styles */
.bg-menu-theme {
  background: #2F2976;
}

.bg-menu-theme .menu-link, .bg-menu-theme .menu-horizontal-prev, .bg-menu-theme .menu-horizontal-next {
  color: #fff;
}

.layout-menu-collapsed:not(.layout-menu-hover):not(.layout-menu-expanded) .bg-menu-theme .menu-inner > .menu-item.active {
  background-color: #DB007D !important;
}

.bg-menu-theme .menu-item.active > .menu-link:not(.menu-toggle) {
  background-color: #DB007D;
}

.bg-menu-theme .menu-inner > .menu-item.active,
html:not(.layout-menu-collapsed) .bg-menu-theme .menu-inner > .menu-item.open:not(.active), .layout-menu-hover.layout-menu-collapsed .bg-menu-theme .menu-inner > .menu-item.open:not(.active) {
  background-color: rgba(255, 255, 255, 0.05) !important;
}

.bg-menu-theme .menu-inner .menu-item.open > .menu-link:hover, .bg-menu-theme .menu-inner .menu-item:not(.active) .menu-link:hover {
  background-color: rgba(255, 255, 255, 0.1) !important;
}

.layout-menu-hover .layout-menu {
  box-shadow: none !important;
}

.bs-stepper {
  background-color: transparent !important;
  border-radius: none !important;
  box-shadow: none !important;
}
.bs-stepper .bs-stepper-header {
  border: 0 !important;
  padding: 0 !important;
  position: -webkit-sticky;
  position: sticky;
  top: 20px;
  -ms-flex-item-align: start;
      align-self: start;
}
.bs-stepper .breadcrumb-item,
.bs-stepper .breadcrumb-item a {
  color: #fff;
}

.bs-stepper .bs-stepper-header .step .step-trigger .bs-stepper-label .bs-stepper-title {
  line-height: 1.2;
}

.light-style .bs-stepper .step.crossed .bs-stepper-label {
  color: #000 !important;
}

.light-style .bs-stepper .step.crossed .bs-stepper-circle {
  color: #DB007D !important;
}

.dstepper-block {
  height: 100%;
}
.dstepper-block > .card {
  height: 100%;
}

@media (min-width: 992px) {
  .bs-stepper .bs-stepper-content {
    padding-top: 0;
    padding-bottom: 0;
    padding-right: 0;
    max-width: calc(100% - 18rem);
  }
}
.light-style #toast-container > .toast-success {
  background-color: #33ac2e !important;
  background-image: url("data:image/svg+xml,%3Csvg width='16px' height='16px' viewBox='0 0 16 16' version='1.1' xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink'%3E%3Ctitle%3E Icon-success%3C/title%3E%3Cg id='Symbols' stroke='none' stroke-width='1' fill='none' fill-rule='evenodd'%3E%3Cg id='17)-Bootstrap-Toasts-&amp;-Toastr/Toastr-With-Progress-Bar' transform='translate(-16.000000, -15.000000)' fill='%23ffffff'%3E%3Cg id='bx-check-circle' transform='translate(16.000000, 15.000000)'%3E%3Cpath d='M8,0 C12.4112,0 16,3.5888 16,8 C16,12.4112 12.4112,16 8,16 C3.5888,16 0,12.4112 0,8 C0,3.5888 3.5888,0 8,0 Z M8,1.6 C4.4712,1.6 1.6,4.4712 1.6,8 C1.6,11.5288 4.4712,14.4 8,14.4 C11.5288,14.4 14.4,11.5288 14.4,8 C14.4,4.4712 11.5288,1.6 8,1.6 Z M10.6344,5.0344 L11.7656,6.1656 L6.4008,11.5304 L3.4304,8.5664 L4.56,7.4336 L6.3992,9.2696 L10.6344,5.0344 Z' id='Combined-Shape'%3E%3C/path%3E%3C/g%3E%3C/g%3E%3C/g%3E%3C/svg%3E") !important;
  color: #fff;
}
.light-style #toast-container > .toast-error {
  background-color: #ff5b5c !important;
  background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='24' height='24' viewBox='0 0 24 24' style='fill: %23ffffff;'%3E%3Cpath d='M11.001 10h2v5h-2zM11 16h2v2h-2z'%3E%3C/path%3E%3Cpath d='M13.768 4.2C13.42 3.545 12.742 3.138 12 3.138s-1.42.407-1.768 1.063L2.894 18.064a1.986 1.986 0 0 0 .054 1.968A1.984 1.984 0 0 0 4.661 21h14.678c.708 0 1.349-.362 1.714-.968a1.989 1.989 0 0 0 .054-1.968L13.768 4.2zM4.661 19 12 5.137 19.344 19H4.661z'%3E%3C/path%3E%3C/svg%3E") !important;
  background-size: 1.25rem;
  color: #fff;
}

.jstree-default .jstree-icon.no-icon {
  width: 1px;
}
.jstree-default .jstree-search {
  font-weight: 600;
}

/**
* fixes template
*/
/* ! For .layout-navbar-fixed added fix padding top tpo .layout-page */
.layout-navbar-fixed .layout-wrapper:not(.layout-without-menu) .layout-page {
  padding-top: 64px !important;
  padding-top: 0 !important;
}

.menu .app-brand.demo {
  height: 64px;
}

.app-brand-logo.demo {
  -ms-flex-align: center;
  align-items: center;
  -ms-flex-pack: center;
  justify-content: center;
  display: -ms-flexbox;
  display: flex;
  width: 30px;
  height: 30px;
}

.app-brand-logo.demo svg {
  width: 1.7rem;
  height: 1.7rem;
}

.app-brand-text.demo {
  font-size: 1.75rem;
  letter-spacing: -0.45px;
}

/* Navbar page z-index issue solution */
.content-wrapper .navbar {
  z-index: auto;
}

.input-group > .select2-container--bootstrap {
  width: auto;
  -ms-flex: 1 1 auto;
      flex: 1 1 auto;
}

.input-group > .select2-container--bootstrap .select2-selection--single {
  height: 100%;
  line-height: inherit;
  padding: 0.5rem 1rem;
}

.select2-dropdown.dropdown-modal {
  z-index: 1100;
}

/* Ocultar el mensaje de cargando Bootstrap Table */
.loading-wrap {
  display: none !important;
}

/**
* End fixes template
*/
/**
* Custom CSS
*/
.breadcrumb-item, .breadcrumb-item.active, .breadcrumb-item a, .breadcrumb-item:hover, .breadcrumb-item:focus, .breadcrumb-item a:hover, .breadcrumb-item a:focus {
  color: #fff;
}

.was-validated .form-control:invalid, .form-control.is-invalid {
  border: 1px solid #ff5b5b !important;
}

.table-hover > tbody > tr:hover > * {
  --bs-table-accent-bg: $light-blue !important;
  background-color: #d6f0fa !important;
}

.suggestion:hover {
  background: #f2f2f6;
  color: #677788;
}

.modal-content-pressing tr:not(.not-empty) .remove {
  display: none;
}

.cursor-not-allowed {
  cursor: not-allowed !important;
}

.trabajo-parte {
  height: 342px;
  overflow-y: auto;
  margin-left: 10px;
}

.trabajo-parte p {
  margin-bottom: 0px;
}

.soportes .bootstrap-table.bootstrap5.float-right {
  width: 100%;
}

.soportes .search-input {
  width: 100%;
}

#js-pagina-abierto {
  color: rgb(81, 81, 194);
}

#modal-productos .form-select-sm + .select2 .select2-selection {
  height: auto;
}

.sticky-bottom {
  position: -webkit-sticky;
  position: sticky;
  bottom: 0px;
  z-index: 1000;
}

.card .blockUI.blockOverlay,
.card .blockUI.blockMsg {
  z-index: 1000 !important;
}

.modal::-webkit-scrollbar {
  display: none;
}

.modal {
  -ms-overflow-style: none; /* Oculta la barra en Internet Explorer y Edge */
  scrollbar-width: none; /* Oculta la barra en Firefox */
}

.dotted-underline {
  text-decoration: none;
  border-bottom: 1px dotted currentColor;
  cursor: pointer;
}

.ql-picker.ql-size .ql-picker-item[data-value="8px"]::before,
.ql-picker.ql-size .ql-picker-label[data-value="8px"]::before {
  content: "8px";
}

.ql-picker.ql-size .ql-picker-item[data-value="9px"]::before,
.ql-picker.ql-size .ql-picker-label[data-value="9px"]::before {
  content: "9px";
}

.ql-picker.ql-size .ql-picker-item[data-value="10px"]::before,
.ql-picker.ql-size .ql-picker-label[data-value="10px"]::before {
  content: "10px";
}

.ql-picker.ql-size .ql-picker-item[data-value="12px"]::before,
.ql-picker.ql-size .ql-picker-label[data-value="12px"]::before {
  content: "12px";
}

.ql-picker.ql-size .ql-picker-item[data-value="14px"]::before,
.ql-picker.ql-size .ql-picker-label[data-value="14px"]::before {
  content: "14px";
}

.ql-picker.ql-size .ql-picker-item[data-value="16px"]::before,
.ql-picker.ql-size .ql-picker-label[data-value="16px"]::before {
  content: "16px";
}

.ql-picker.ql-size .ql-picker-item[data-value="20px"]::before,
.ql-picker.ql-size .ql-picker-label[data-value="20px"]::before {
  content: "20px";
}

.ql-picker.ql-size .ql-picker-item[data-value="24px"]::before,
.ql-picker.ql-size .ql-picker-label[data-value="24px"]::before {
  content: "24px";
}

.ql-picker.ql-size .ql-picker-item[data-value="32px"]::before,
.ql-picker.ql-size .ql-picker-label[data-value="32px"]::before {
  content: "32px";
}

.ql-picker.ql-size .ql-picker-item[data-value="42px"]::before,
.ql-picker.ql-size .ql-picker-label[data-value="42px"]::before {
  content: "42px";
}

.ql-picker.ql-size .ql-picker-item[data-value="84px"]::before,
.ql-picker.ql-size .ql-picker-label[data-value="84px"]::before {
  content: "84px";
}

.ql-picker.ql-size .ql-picker-item[data-value="98px"]::before,
.ql-picker.ql-size .ql-picker-label[data-value="98px"]::before {
  content: "98px";
}

.table-striped > tbody > tr > .bg-success-informe,
.table-hover > tbody > tr:hover > .bg-success-informe {
  background-color: rgba(0, 255, 8, 0.3) !important;
  box-shadow: none;
  font-weight: bold;
}

.table-striped > tbody > tr > .bg-danger-informe,
.table-hover > tbody > tr:hover > .bg-danger-informe {
  background-color: rgba(255, 0, 21, 0.3) !important;
  box-shadow: none;
  font-weight: bold;
}

/**
* End Custom CSS
*/
